| Earth Observation Mission CFI Software Pointing Software User Manual |

Public Attributes

# EECFI::TargetExtraResults Class Reference

Results of target extra computation. More...

List of all members.

## Public Attributes
long | status
| Computation status.
TargetInputInfo | targetInputInfo
| Target input information.
vector< double > | results
| Target extra computation results.
vector< double > | resultsRate
| Target extra computation results rate.
vector< double > | resultsRateRate
| Target extra computation results rate rate.

## Detailed Description

Results of target extra computation.

## Member Data Documentation

vector<double> EECFI::TargetExtraResults::results

Target extra computation results.

Referenced by EECFI::Target::extraListAux(), EECFI::Target::extraListEfTarget(), EECFI::Target::extraListMain(), EECFI::Target::extraListSpecularReflection(), EECFI::Target::extraListTargetToMoon(), EECFI::Target::extraListTargetToSun(), and EECFI::Target::extraListVector().

vector<double> EECFI::TargetExtraResults::resultsRate

Target extra computation results rate.

Referenced by EECFI::Target::extraListAux(), EECFI::Target::extraListEfTarget(), EECFI::Target::extraListMain(), EECFI::Target::extraListSpecularReflection(), EECFI::Target::extraListTargetToMoon(), EECFI::Target::extraListTargetToSun(), and EECFI::Target::extraListVector().

vector<double> EECFI::TargetExtraResults::resultsRateRate

Target extra computation results rate rate.

Referenced by EECFI::Target::extraListAux(), EECFI::Target::extraListEfTarget(), EECFI::Target::extraListMain(), EECFI::Target::extraListSpecularReflection(), EECFI::Target::extraListTargetToMoon(), EECFI::Target::extraListTargetToSun(), and EECFI::Target::extraListVector().

long EECFI::TargetExtraResults::status

Computation status.

Referenced by EECFI::Target::extraListAux(), EECFI::Target::extraListEfTarget(), EECFI::Target::extraListMain(), EECFI::Target::extraListSpecularReflection(), EECFI::Target::extraListTargetToMoon(), EECFI::Target::extraListTargetToSun(), and EECFI::Target::extraListVector().

TargetInputInfo EECFI::TargetExtraResults::targetInputInfo

Target input information.

Referenced by EECFI::Target::extraListAux(), EECFI::Target::extraListEfTarget(), EECFI::Target::extraListMain(), EECFI::Target::extraListSpecularReflection(), EECFI::Target::extraListTargetToMoon(), EECFI::Target::extraListTargetToSun(), and EECFI::Target::extraListVector().